# Taken from Titan, adopted for Yoga release
apiVersion: yaook.cloud/v1
kind: BarbicanDeployment
metadata:
  name: barbican
  namespace: yaook
spec:
  keystoneRef:
    name: keystone
  database:
    replicas: 3
    storageClassName: csi-driver-lvm-linear
    storageSize: 20Gi
    proxy:
      replicas: 3
    backup:
      schedule: "0 * * * *"
    mysqlConfig:
      mysqld:
        max_allowed_packet: 256M
        max_connections: 4096
        max_heap_table_size: 64M
        expire_logs_days: 2
  messageQueue:
    replicas: 3
    storageClassName: csi-driver-lvm-linear
    storageSize: 16Gi
  memcached: {}
  api:
    replicas: 3
    ingress:
      fqdn: "{{ fqdn_barbican }}"
      port: 443
     # externalCertificateSecretRef:
     #   name: key-manager-api-external-certificate
  keystoneListener:
    replicas: 3
  barbicanConfig:
    DEFAULT:
      debug: False
    oslo_messaging_rabbit:
      # rabbit_quorum_queue is true by default in Yaook
      heartbeat_in_pthread: false
      heartbeat_rate: 3  # https://review.opendev.org/c/openstack/oslo.messaging/+/875615
  region:
    name: {{ region_name }}
  issuerRef:
    name: ca-issuer
  targetRelease: {{ barbican_targetRelease }}
